#define _CRT_SECURE_NO_WARNINGS
#define _SILENCE_CXX17_C_HEADER_DEPRECATION_WARNING
#include <bits/stdc++.h>
using namespace std;
const int N = 1e5 + 50;
char s[N];
int main()
{
    int m, l, r;
    while (~scanf("%s%d", s, &m))
    {
        int len = strlen(s);
        long long ans = 0;
        while (m--)
        {
            scanf("%d%d", &l, &r);
            ans += len - (r - l + 1);
        }
        puts((ans & 1) ? "Alice" : "Bob");
    }
    return 0;
}
